apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ../../../infrastructure/argo-workflows
  - ../../../infrastructure/argo-events
  # - ../../../infrastructure/postgresql
  - ../../../infrastructure/pg-sanitizer
  - ../../../infrastructure/vault-unseal
  - ../../../infrastructure/vault
  - ../../../infrastructure/yc-pg-dumper
patches:
  - path: ./patches/argo-workflows.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: argo-workflows
      namespace: argo
  - path: ./patches/argo-events.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: argo-events
      namespace: argo
  # - path: ./patches/postgresql.yaml
  #   target:
  #     group: helm.toolkit.fluxcd.io
  #     version: v2
  #     kind: HelmRelease
  #     name: postgresql
  #     namespace: postgresql
  - path: ./patches/vault-unseal.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: vault-unseal
      namespace: vault-unseal
  - path: ./patches/vault.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: vault
      namespace: vault
